# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-09-12 18:00
from __future__ import unicode_literals

from django.db import migrations, models


def migrate_bool_to_int(apps, _):

    Person = apps.get_model('members', 'Person')

    for person in Person.objects.all():
        person.address_unknown = 1 if person.address_unknown_old else 0
        person.save()


def migrate_int_to_bool(apps, _):

    Person = apps.get_model('members', 'Person')

    for person in Person.objects.all():
        person.address_unknown_old = person.address_unknown > 0
        person.save()


class Migration(migrations.Migration):

    dependencies = [
        ('members', '0028_auto_20180629_1813'),
    ]

    operations = [
        migrations.RenameField(
            model_name='person',
            old_name='address_unknown',
            new_name='address_unknown_old',
        ),
        migrations.AddField(
            model_name='person',
            name='address_unknown',
            field=models.PositiveIntegerField(default=0, help_text='Counter of returned snail mail. 2 or more will be considered as unreachable. Is automatically reset to 0 when modifying any partof the address'),
        ),
        migrations.RunPython(code=migrate_bool_to_int, reverse_code=migrate_int_to_bool),
        migrations.RemoveField(
            model_name='person',
            name='address_unknown_old',
        ),
    ]
